Name:          rpmver
Version:       2.1
Release:       3.5.slc6
License:       GPL
Summary:       RPM version comparing tool
Summary(de):   Programm zm Vergleichen zweier RPM-Versionsnummern
Group:         Utilities
Source:        %{name}-%{version}.tar.bz2
Patch0:        %{name}-fix-warnings.patch
Patch1:        %{name}-drop-rpmdb.patch
BuildRequires: popt-devel
BuildRequires: rpm-devel
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Tool that checks the relation between two RPM version numbers.

%description -l de
Ein Programm, mit dem man zwei RPM-Versionsnummern vergleichen kann.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
CFLAGS=$RPM_OPT_FLAGS make

%install
echo %suse_version
install -m755 -D rpmver %{buildroot}%{_bindir}/%{name}

%files
%defattr(-,root,root)
%{_bindir}/%{name}

%changelog
* Wed Jun 08 2011 Jan van Eldik <Jan.van.Eldik@cern.ch>
- drop -lrpmdb from Makefile, to allow SLC6 builds

* Fri Jan 16 2009 Petr Uzel <petr.uzel@suse.cz>
- build with RPM_OPT_FLAGS
- rpmver-fix-warnings.patch - fix compilation warnings
- disable debuginfo (breaks osc build)

* Fri Oct 29 2006 Herbert Graeber <herbert@graeber-clan.de>
- enable debuginfo
 
* Sun Aug 27 2006 Herbert Graeber <herbert@graeber-clan.de>
- Initial version
